{
  "name": "boilerplate-project-nodejs",
  "version": "1.0.0",
  "description": "boilerplate for jobs using nodejs",
  "main": "index.js",
  "scripts": {
    "start": "node dist/main/server.js",
    "build": "tsc",
    "test": "jest --passWithNoTests",
    "test:watch": "jest --watch -c --silent --noStackTrace --runInBand",
    "test:integration": "npm test --  -c jest-integration-config.ts",
    "test:integration:watch": "npm test -- --watch -c jest-integration-config.ts",
    "dev": "ts-node app/main/server.ts",
    "prepare": "husky install",
    "typeorm:run": "ts-node --transpile-only ./node_modules/typeorm/cli.js migration:run"
  },
  "lint-staged": {
    "app/**/*.ts": [
      "prettier --write .",
      "npm run test"
    ]
  },
  "author": "victorshermon",
  "license": "ISC",
  "devDependencies": {
    "@commitlint/config-conventional": "^15.0.0",
    "@types/express": "^4.17.13",
    "@types/jest": "^27.0.3",
    "@types/node": "^16.11.10",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "commitlint": "^15.0.0",
    "eslint": "^8.2.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "husky": "^7.0.0",
    "jest": "^27.3.1",
    "lint-staged": "^12.0.3",
    "prettier": "^2.4.1",
    "supertest": "^6.1.6",
    "ts-jest": "^27.0.7",
    "ts-node": "^10.4.0",
    "typescript": "^4.5.2"
  },
  "dependencies": {
    "express": "^4.17.1",
    "mysql2": "^2.3.3",
    "reflect-metadata": "^0.1.13",
    "typeorm": "^0.2.41"
  }
}
